# -*- mode: ruby -*-
# vi: set ft=ruby :

## Cantidad de Slaves
### Si N mayor a 10, ajustar el ansible.group de las ultimas lineas
N = 2

Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"
  config.vm.box_version = "2004.01"

  config.vm.define "master" do |master|
    master.vm.hostname = "master.mgmt"
    master.vm.provider :libvirt do |libvirt|
      libvirt.memory = 1024
      libvirt.cpus = 1
    end
  end

  (1..N).each do |i|
    config.vm.define "slave-#{i}" do |slave|
      slave.vm.hostname = "slave-#{i}.mgmt"
      slave.vm.provider :libvirt do |libvirt|
        libvirt.memory = 1024
        libvirt.cpus = 1
      end
    end
  end

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "dummy.yml"
    ansible.groups = {
      "masters-group" => ["master"],
      "slaves-group" => ["slave-[1:2]"]
    }
  end
end
